View Issue Details

IDProjectCategoryView StatusLast Update
0000804SketcherFeaturepublic2015-01-12 00:19
ReporterjmaustpcAssigned Tologari81 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformallOSallOS Versionall
Product Version 
Target VersionFixed in Version0.15 
Summary0000804: external geometries in sketch break sketch when they loose their support
DescriptionIf a sketch contains external geometries and is mapped to a face, it therefore loses its support and currently breaks the sketch.

Solutions could include some of the following
1) regardless of behaviour, could offer a warning before the action is taken
2)delete the external geometries, or convert them to construction geometries
3)when coding, make allowance for other external geometries that may be added to FreeCAD in the future, e.g. point/vertex, or curves?
4) I found this problem when using map sketch to face, is it also a problem using copy/paste or "duplicate selection"?

Additional InformationA link to the relevant forum topic
https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=10&t=2843

TagsNo tags attached.

Relationships

parent of 0001060 closedwmayer FreeCAD Editing sketch crashes FreeCAD 

Activities

wmayer

2015-01-12 00:19

administrator   ~0005626

As far as I can see the reported crash is fixed.

Issue History

Date Modified Username Field Change
2012-07-23 09:06 jmaustpc New Issue
2012-08-06 18:43 logari81 Status new => assigned
2012-08-06 18:43 logari81 Assigned To => logari81
2012-12-20 22:06 logari81 Project FreeCAD => Sketcher
2013-03-26 11:55 logari81 Relationship added parent of 0001060
2015-01-12 00:19 wmayer Note Added: 0005626
2015-01-12 00:19 wmayer Status assigned => closed
2015-01-12 00:19 wmayer Resolution open => fixed
2015-01-12 00:19 wmayer Fixed in Version => 0.15